info.bioinfweb.jphyloio.formats.pde

## Interface PDEConstants

- All Known Implementing Classes:
    PDEEventReader, PDEFactory

      public interface PDEConstants

  Defines constants necessary to read PDE files.
  Author:
    Sarah Wiechers

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AMINO_TYPE`
    `static javax.xml.namespace.QName` | `ATTR_ALIGNMENT_LENGTH`
    `static javax.xml.namespace.QName` | `ATTR_CHARSET_LABEL`
    `static javax.xml.namespace.QName` | `ATTR_COLOR`
    `static javax.xml.namespace.QName` | `ATTR_DATATYPE`
    `static javax.xml.namespace.QName` | `ATTR_ID`
    `static javax.xml.namespace.QName` | `ATTR_SEQUENCE_COUNT`
    `static javax.xml.namespace.QName` | `ATTR_SEQUENCE_INDEX`
    `static javax.xml.namespace.QName` | `ATTR_VERSION`
    `static javax.xml.namespace.QName` | `ATTR_VISIBILITY`
    `static java.lang.String` | `DNA_TYPE`
    `static int` | `FIRST_CUSTOM_META_ID`
    `static int` | `META_ID_ACCESS_NUMBER`
    `static int` | `META_ID_COMMENT`
    `static int` | `META_ID_LINKED_FILE`
    `static int` | `META_ID_SEQUENCE_LABEL`
    `static java.lang.String` | `META_TYPE_FILE`
    `static java.lang.String` | `META_TYPE_NUMBER`
    `static java.lang.String` | `META_TYPE_STRING`
    `static java.lang.String` | `PDE_FORMAT_NAME`
    `static java.lang.String` | `PDE_NAMESPACE_PREFIX`
    `static java.lang.String` | `PDE_PREDICATE_NAMESPACE`
    `static javax.xml.namespace.QName` | `PREDICATE_ACCESS_NUMBER`
    `static javax.xml.namespace.QName` | `PREDICATE_CHARSET_COLOR`
    `static javax.xml.namespace.QName` | `PREDICATE_CHARSET_VISIBILITY`
    `static javax.xml.namespace.QName` | `PREDICATE_COMMENT`
    `static javax.xml.namespace.QName` | `PREDICATE_DESCRIPTION`
    `static javax.xml.namespace.QName` | `PREDICATE_LINKED_FILE`
    `static java.lang.String` | `SEQUENCE_END`
    `static javax.xml.namespace.QName` | `TAG_ALIGNMENT`
    `static javax.xml.namespace.QName` | `TAG_BLOCK`
    `static javax.xml.namespace.QName` | `TAG_CHARSET`
    `static javax.xml.namespace.QName` | `TAG_CHARSETS`
    `static javax.xml.namespace.QName` | `TAG_DESCRIPTION`
    `static javax.xml.namespace.QName` | `TAG_HEADER`
    `static javax.xml.namespace.QName` | `TAG_MATRIX`
    `static javax.xml.namespace.QName` | `TAG_META_TYPE_DEFINITIONS`
    `static javax.xml.namespace.QName` | `TAG_ROOT`
    `static javax.xml.namespace.QName` | `TAG_SEQUENCE_INFORMATION`
    `static javax.xml.namespace.QName` | `TAG_SEQUENCE_META_INFORMATION`
    `static java.lang.String` | `UNKNOWN_CHARS`

- - ### Field Detail

    - #### PDE_FORMAT_NAME

          static final java.lang.String PDE_FORMAT_NAME

      See Also:
        Constant Field Values

    - #### TAG_ROOT

          static final javax.xml.namespace.QName TAG_ROOT

    - #### TAG_DESCRIPTION

          static final javax.xml.namespace.QName TAG_DESCRIPTION

    - #### TAG_ALIGNMENT

          static final javax.xml.namespace.QName TAG_ALIGNMENT

    - #### TAG_HEADER

          static final javax.xml.namespace.QName TAG_HEADER

    - #### TAG_META_TYPE_DEFINITIONS

          static final javax.xml.namespace.QName TAG_META_TYPE_DEFINITIONS

    - #### TAG_SEQUENCE_INFORMATION

          static final javax.xml.namespace.QName TAG_SEQUENCE_INFORMATION

    - #### TAG_SEQUENCE_META_INFORMATION

          static final javax.xml.namespace.QName TAG_SEQUENCE_META_INFORMATION

    - #### TAG_MATRIX

          static final javax.xml.namespace.QName TAG_MATRIX

    - #### TAG_BLOCK

          static final javax.xml.namespace.QName TAG_BLOCK

    - #### TAG_CHARSETS

          static final javax.xml.namespace.QName TAG_CHARSETS

    - #### TAG_CHARSET

          static final javax.xml.namespace.QName TAG_CHARSET

    - #### ATTR_DATATYPE

          static final javax.xml.namespace.QName ATTR_DATATYPE

    - #### ATTR_ALIGNMENT_LENGTH

          static final javax.xml.namespace.QName ATTR_ALIGNMENT_LENGTH

    - #### ATTR_SEQUENCE_COUNT

          static final javax.xml.namespace.QName ATTR_SEQUENCE_COUNT

    - #### ATTR_SEQUENCE_INDEX

          static final javax.xml.namespace.QName ATTR_SEQUENCE_INDEX

    - #### ATTR_ID

          static final javax.xml.namespace.QName ATTR_ID

    - #### ATTR_VERSION

          static final javax.xml.namespace.QName ATTR_VERSION

    - #### ATTR_CHARSET_LABEL

          static final javax.xml.namespace.QName ATTR_CHARSET_LABEL

    - #### ATTR_VISIBILITY

          static final javax.xml.namespace.QName ATTR_VISIBILITY

    - #### ATTR_COLOR

          static final javax.xml.namespace.QName ATTR_COLOR

    - #### META_TYPE_STRING

          static final java.lang.String META_TYPE_STRING

      See Also:
        Constant Field Values

    - #### META_TYPE_NUMBER

          static final java.lang.String META_TYPE_NUMBER

      See Also:
        Constant Field Values

    - #### META_TYPE_FILE

          static final java.lang.String META_TYPE_FILE

      See Also:
        Constant Field Values

    - #### DNA_TYPE

          static final java.lang.String DNA_TYPE

      See Also:
        Constant Field Values

    - #### AMINO_TYPE

          static final java.lang.String AMINO_TYPE

      See Also:
        Constant Field Values

    - #### SEQUENCE_END

          static final java.lang.String SEQUENCE_END

      See Also:
        Constant Field Values

    - #### UNKNOWN_CHARS

          static final java.lang.String UNKNOWN_CHARS

      See Also:
        Constant Field Values

    - #### META_ID_SEQUENCE_LABEL

          static final int META_ID_SEQUENCE_LABEL

      See Also:
        Constant Field Values

    - #### META_ID_LINKED_FILE

          static final int META_ID_LINKED_FILE

      See Also:
        Constant Field Values

    - #### META_ID_ACCESS_NUMBER

          static final int META_ID_ACCESS_NUMBER

      See Also:
        Constant Field Values

    - #### META_ID_COMMENT

          static final int META_ID_COMMENT

      See Also:
        Constant Field Values

    - #### FIRST_CUSTOM_META_ID

          static final int FIRST_CUSTOM_META_ID

      See Also:
        Constant Field Values

    - #### PDE_NAMESPACE_PREFIX

          static final java.lang.String PDE_NAMESPACE_PREFIX

      See Also:
        Constant Field Values

    - #### PDE_PREDICATE_NAMESPACE

          static final java.lang.String PDE_PREDICATE_NAMESPACE

      See Also:
        Constant Field Values

    - #### PREDICATE_LINKED_FILE

          static final javax.xml.namespace.QName PREDICATE_LINKED_FILE

    - #### PREDICATE_ACCESS_NUMBER

          static final javax.xml.namespace.QName PREDICATE_ACCESS_NUMBER

    - #### PREDICATE_COMMENT

          static final javax.xml.namespace.QName PREDICATE_COMMENT

    - #### PREDICATE_DESCRIPTION

          static final javax.xml.namespace.QName PREDICATE_DESCRIPTION

    - #### PREDICATE_CHARSET_VISIBILITY

          static final javax.xml.namespace.QName PREDICATE_CHARSET_VISIBILITY

    - #### PREDICATE_CHARSET_COLOR

          static final javax.xml.namespace.QName PREDICATE_CHARSET_COLOR